#
# spec file for package perl-Devel-CheckBin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Devel-CheckBin
Version:        0.04
Release:        1.30
%define cpan_name Devel-CheckBin
Summary:        Check That a Command Is Available
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Devel-CheckBin/
Source0:        http://www.cpan.org/authors/id/T/TO/TOKUHIROM/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.52
BuildRequires:  perl(Test::More) >= 0.98
BuildRequires:  perl(parent)
Requires:       perl(ExtUtils::MakeMaker) >= 6.52
Requires:       perl(parent)
%{perl_requires}

%description
Devel::CheckBin is a perl module that checks whether a particular command
is available.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE minil.toml README.md

%changelog
* Wed Jul 22 2015 coolo@suse.com
- updated to 0.04
  see /usr/share/doc/packages/perl-Devel-CheckBin/Changes
  0.04 2015-07-22T07:35:08Z
  - Test case fix.
  * win32 fix.
  * added quotes for perl installed into a path with spaces in it
    (mohawk2++)
* Thu Apr 30 2015 coolo@suse.com
- updated to 0.03
  see /usr/share/doc/packages/perl-Devel-CheckBin/Changes
  0.03 2015-04-30T00:47:41Z
  - re-packaging with EU::MM
* Mon Sep 29 2014 coolo@suse.com
- initial package 0.02
  * created by cpanspec 1.78.08
